Bug 469575 - Keyboard usage during installation.
Keyboard usage during installation.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 15:10 EST by ray hammond
Modified: 2009-06-18 14:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:00:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ray hammond 2008-11-02 15:10:55 EST
Description of problem:
The cursor keys and pagination keys do not operator when the focus is within the "Language" list on step 1.

Version-Release number of selected component (if applicable):
11.4.1.40

How reproducible:
Everytimr

Steps to Reproduce:
1. Insert the Fedora 10 DVD Beta 1.
2. Boot the system, select Install from the grub menu and skip the test.
3. Press next to the welcome screen.
4. Within the language selection screen use the tab key to navigate to the list of languages.
5. Use the up or down key to move the selection.
  
Actual results:
The selection does not move.

Expected results:
I would expect the selection to move up or down.  

Additional info:
The Page Up/Down key should also permit a user to navigate around the list.  This means I cannot select a different language using only the keyboard.  The same problem also applies to other lists with the installer i.e. the next “keyboard” step.
Comment 1 Chris Lumens 2008-11-03 10:17:20 EST
In the latest version in rawhide, what I've got is that the Next button by default has the focus.  Once I tab into the language list, I can use all the navigation keys and then tab back out to press enter.  Sounds like what I'm describing as working is exactly what you're saying doesn't work.  Can you check a later version and see if it's still a problem for you?
Comment 2 Bug Zapper 2008-11-25 23:39:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.